import { EventEmitter } from "../../stencil-public-runtime";
import * as langly from "langly";
import { Account, Order } from "@payfunc/model";
export declare class PayfuncAccountDetails {
  opened: "" | "balance" | "customer" | "method" | "number" | "order" | "subscription";
  account: Account;
  orders?: Order[] | undefined;
  whitelist?: boolean;
  notice: EventEmitter;
  updateAccounts: EventEmitter;
  element: HTMLElement;
  t: langly.Translate;
  componentWillLoad(): void;
  updateCustomer(event: CustomEvent): Promise<void>;
  render(): any;
}
